NVCOMPRESS(1)

NAME
nvcompress - Compresses the given image and produces a DDS file.

SYNOPSIS
nvcompress [OPTION] INFILE [OUTFILE]

DESCRIPTION
nvcompress is part of the NVIDIA texture toolset. The tool compresses the given infile into a dds file.

INPUT OPTIONS

-color
    The input image is a color map (default).

-alpha
    The input image has an alpha channel used for transparency.

-normal
    The input image is a normal map.

-tonormal
    Convert input to normal map.

-clamp
    Clamp wrapping mode (default).

-repeat
    Repeat wrapping mode.

-nomips
    Disable mipmap generation.

COMPRESSION OPTIONS

-fast
    Fast compression.

-nocuda
    Do not use cuda compressor.

-rgb
    RGBA format

-bc1
    BC1 format (DXT1)

-bc1n
    BC1 normal map format (DXT1nm)

-bc1a
    BC1 format with binary alpha (DXT1a)

-bc2
    BC2 format (DXT3)

-bc3
    BC3 format (DXT5)

-bc3n
    BC3 normal map format (DXT5nm)

-bc4
    BC4 format (ATI1)

-bc5
    BC5 format (3Dc/ATI2)

AUTHOR
nvcompress is part of the NVIDIA texture tools

This manual page was written by Lennart Weller <lhw@ring0.de>, for the Debian project (but may be used by others).